package com.wanyue.main.bean;

import android.graphics.drawable.Drawable;

import com.wanyue.common.utils.ResourceUtil;
import com.wanyue.main.R;

public class MainHeadMessageBean {
    private String id;
    private Drawable mThumbDrawable;
    private String content;
    private String title;
    private boolean isNew;
    private int iconId;
    private String emptyData;

    public MainHeadMessageBean(String id, int iconId, String content, String title, boolean isNew) {
        this.id = id;
        this.iconId=iconId;
        mThumbDrawable =  ResourceUtil.getDrawable(iconId,false);
        this.content = content;
        this.title = title;
        this.isNew = isNew;
    }


    public String getEmptyData() {
        return emptyData;
    }

    public void setEmptyData(String emptyData) {
        this.emptyData = emptyData;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public Drawable getThumbDrawable() {
        return mThumbDrawable;
    }

    public void setThumbDrawable(Drawable thumbDrawable) {
        mThumbDrawable = thumbDrawable;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }


    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public boolean isNew() {
        return isNew;
    }

    public void setNew(boolean aNew) {
        isNew = aNew;
    }

    public int getIconId() {
        return iconId;
    }

    public void setIconId(int iconId) {
        this.iconId = iconId;
    }
}
